Subject: Re: Document and implement an improved flash device binding

From: Segher Boessenkool <[email-masked]>
Date: Thu, 6 Sep 2007 15:28:35 +0200

>>> +     - bank-width : Width (in bytes) of the flash bank.  Equal to 
>>> the
>>> +       device width times the number of interleaved chips.
>>> +     - device-width : (optional) Width of a single flash chip.  If
>>> +       omitted, assumed to be equal to 'bank-width'.
>>
>> Let's have bank-width optional instead, it's more natural
>> that way for the common case of just one chip.  Or, you can
>> say that either is optional.
>
> No, I'm disinclined to do that since bank-width is the primary bit of
> information that the driver needs.

Bzzzzt.  That's not what the device tree is about; it should
describe the hardware, it shouldn't be just a config file for
the current Linux drivers.

Besides, like I said, for the common case where your flash
chips aren't interleaved, it makes way more sense to talk
about device-width than it does to call it bank-width.

>>> +					OpenBIOS@0 {
>>
>> This show immediately why node name = partition name won't
>> work out.  You're not supposed to start a node name with a
>> capital like this.
>
> According to which?

It's just convention, really.

OTOH, spaces and commas and colons and a whole bunch of special
chars are completely disallowed here, so you need...

> Nonetheless, I've added a label property,

...something like that :-)

Segher